Bug 428600 - Add GPS data support
Add GPS data support
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dcraw (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-13 21:50 EST by Ulrich Drepper
Modified: 2008-11-27 12:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-27 12:10:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add GPS support (5.90 KB, patch)
2008-01-13 21:50 EST, Ulrich Drepper
no flags Details | Diff

  None (edit)
Description Ulrich Drepper 2008-01-13 21:50:06 EST
Description of problem:
dcraw currently discards GPS data which is found in the raw file when converting
to TIFF.  This is unnecessary and undesirable.  I've written a patch (attached)
to change this.  The patch has been sent to the upstream maintainer as well.  In
the meantime please consider patching the Fedora version.

Version-Release number of selected component (if applicable):
dcraw-8.80-1

How reproducible:
always

Steps to Reproduce:
1.create raw file with GPS data
2.convert to TIFF
3.
  
Actual results:
no GPS data in TIFF file

Expected results:
same GPS data in TIFF

Additional info:
Comment 1 Ulrich Drepper 2008-01-13 21:50:06 EST
Created attachment 291539 [details]
Patch to add GPS support
Comment 2 Nils Philippsen 2008-01-14 03:54:41 EST
I'll apply the patch in the hope that upstream does as well -- have they already
reacted on or commented the patch?
Comment 3 Nils Philippsen 2008-01-14 04:31:28 EST
I just built dcraw-8.81-1.fc9 with your patch applied.
Comment 4 Ulrich Drepper 2008-01-14 10:16:43 EST
(In reply to comment #2)
> have they already reacted on or commented the patch?

Not yet, but I only sent it right before filing the BZ.  I'd give the maintainer
some more time.  When it happens I'll note it here.
Comment 5 Nils Philippsen 2008-02-25 09:47:26 EST
(In reply to comment #4)
> (In reply to comment #2)
> > have they already reacted on or commented the patch?
> 
> Not yet, but I only sent it right before filing the BZ.  I'd give the maintainer
> some more time.  When it happens I'll note it here.

I've just kicked off building 8.82 -- have you heard anything back from upstream?
Comment 6 Ulrich Drepper 2008-02-25 11:18:16 EST
(In reply to comment #5)
> have you heard anything back from upstream?

Yes, I have.  I'll send you the code he sent me privately.
Comment 7 Bug Zapper 2008-05-14 00:45:52 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Nils Philippsen 2008-11-27 12:10:30 EST
This is incorporated in upstream as well, closing.

Note You need to log in before you can comment on or make changes to this bug.